-- Save window position --
function saveOptions()

    -- Fixes issue where french client was adding invalid data to array
    for key,value in pairs(options) do
        if (key ~= "xPos" and key ~= "yPos" and key ~= "fervourBarGap" and key ~= "displayNumber" and key ~= "fervourBarLenght" and key ~= "fervourBarHeight" and key ~= "enableMovement" and key ~= "hideOutOfCombat") then
            options[key] = nil;
        end
    end
    
    Turbine.PluginData.Save(Turbine.DataScope.Character, settingsFileName, options);
end


-- Load window position --
function loadOptions()
    local _options = Turbine.PluginData.Load(Turbine.DataScope.Character, settingsFileName)
    if _options ~= nil then options = _options; end
end